## Class TXmlElementList

Description

TXmlElementList class.

TXmlElementList represents a collection of TXmlElement. You may manipulate the collection with the operations defined in TList.

- since: 3.0
- version: $Id: TXmlDocument.php 2370 2008-01-23 01:49:02Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Xml/TXmlDocument.php (line 489)

    TComponent
       |
       --TList
          |
          --TXmlElementList

Method Summary
TXmlElementList __construct (TXmlElement $owner)
TXmlElement getOwner ()
void insertAt (integer $index, mixed $item)
mixed removeAt (integer $index)
Methods
Constructor __construct (line 500)

Constructor.

- access: public

TXmlElementList __construct (TXmlElement $owner)

- TXmlElement $owner: owner of this list

Redefinition of:

TList::__construct()
  Constructor.

getOwner (line 508)

- return: owner of this list
- access: protected

TXmlElement getOwner ()
insertAt (line 521)

Inserts an item at the specified position.

This overrides the parent implementation by performing additional operations for each newly added TXmlElement object.

- access: public
- throws: TInvalidDataTypeException if the item to be inserted is not a TXmlElement object.

void insertAt (integer $index, mixed $item)

- integer $index: the specified position.
- mixed $item: new item

Redefinition of:

TList::insertAt()
  Inserts an item at the specified position.

removeAt (line 541)

Removes an item at the specified position.

This overrides the parent implementation by performing additional cleanup work when removing a TXmlElement object.

- return: the removed item.
- access: public

mixed removeAt (integer $index)

- integer $index: the index of the item to be removed.

Redefinition of:

TList::removeAt()
  Removes an item at the specified position.

#### Inherited Methods

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:53 -0400 by phpDocumentor 1.3.0RC4